# add here your own commands to be launched at enigma2 starts

#!/bin/sh

#-------------- by visionnet team
STARTMODE=/var/bin/newcs.flag

if [ `cat $STARTMODE` = 1 ]; then
   echo "driver" > /dev/dbox/fp0
   echo "driver" >> /var/log/auto
   NAME="SCI-NG"
   MOD="/var/bin/sci-ng.ko"
   SCI_DEVICE="sci-ng"

   rm -rf /dev/sci* > /dev/null  

   #Second argument contains optional major number, else the driver gets it from the kernel
   echo "$1" >> /var/log/auto
   echo $1 >> /var/log/auto  
   if [ -n "$1" ] ; then                                                                    
      SCI_MAJOR=$1                                                                         
      /sbin/insmod $MOD sci_major=$SCI_MAJOR                                               
      echo "ins1" > /dev/fp0                                                                   
      echo "insmod 1" >> /var/log/auto
   else                                                                                    
      /sbin/insmod $MOD                                                                    
      echo "ins2" > /dev/fp0
      echo "insmod2" >> /var/log/auto                                                                   
      SCI_MAJOR=`awk "\\$2==\"$SCI_DEVICE\" {print \\$1}" /proc/devices`
      echo $SCI_MAJOR                                                                      
      echo "sci_major" >> /var/log/auto
      echo $SCI_MAJOR >> /var/log/auto
   fi                                                                                       
   # Create the sci devices                                              
   if [ -n "$SCI_MAJOR" ]; then
      echo "crea nodi" > /var/log/auto                                          
      mknod /dev/sci0 c $SCI_MAJOR 0                                    
      mknod /dev/sci1 c $SCI_MAJOR 1                                    
      # newcs starten                                
      echo "newcs" > /dev/dbox/fp0
      echo "start newcs" >> /var/log/auto
      /var/bin/newcs -C /var/keys/newcs.xml > /dev/null && echo "ncok" > /dev/fp0 || echo "ncko" > /dev/fp0
   else    
      echo "errore major number 0" >> /var/log/auto                                                                                             
      echo "Error: major number is 0"                                                                  
      rmmod sci-ng                                                                                  
   fi     
fi

sleep 5

STARTMODE093=/var/bin/CCCam.flag
STARTMODEMG=/var/bin/mgcamd.flag


if [ `cat $STARTMODEMG` = 1 ]; then
    ln -s /usr/lib/libcrypto.so.0.9.8 /var/lib/libcrypto.so.0.9.7
    export env LD_LIBRARY_PATH=/lib:/var/lib
    echo "start mgcamd" >> /var/log/auto
    /var/bin/mgcamd > /dev/null  && echo "mgok"> /dev/fp0 || echo "mgko" > /dev/fp0
fi
if [ `cat $STARTMODECC` = 1 ]; then                                                                                        
    echo "start CCCam" >> /var/log/auto
    /var/bin/CCCam > /dev/null  && echo "CCok" > /dev/fp0 || echo "CCko" > /dev/fp0
fi 

         
exit 0
#-------------fine mod mario sat



